## appgrid 0.310

=== debian/changelog ===
appgrid (0.310) focal; urgency=low

  * add support for focal
  * platform.linux_distribution is no longer, use distro.linux_distribution
    instead
  * the review server is no longer available, so disable reviews for now :/
  * spell out icon name for the dock
  * maintain font color of app name when window becomes unfocused
  * text in search box is rendered in oddly faded color
  * make caret color in search box white
  * clear icon stopped being white
  * draw white border of search as soon as it has focus
  * Gdk.Screen.get_width/height deprecated, avoid use
  * ship some cached ratings until we have a better solution, this improves
    the selection of apps on the front page
  * hide user menu as it has lost is use without the reviews server and avoids
    the dependency on libgnome-keyring which in turn is removed from archive

 -- pgg (appgrid) <pgg@appgrid.org>  Wed, 08 Apr 2020 09:32:51 +0200 

appgrid (0.298) cosmic; urgency=low

  * stop using 'async' as a variable so that appgrid can run on python3.7
  * remove support for artful
  * add support for cosmic and disco
  * add build-dep on dh-python

 -- pgg (appgrid) <pgg@appgrid.org>  Thu, 01 Nov 2018 09:59:29 +0100 

appgrid (0.295) bionic; urgency=low

  * add support for bionic
  * bump standards-version to 4.1.1
  * bump debhelper compat level to 9
  * remove support for yakkety and zesty
  * try a bit harder to work around ppa being disabled on dist-upgrades

 -- pgg (appgrid) <pgg@appgrid.org>  Sun, 11 Feb 2018 10:48:54 +0100 

appgrid (0.290) zesty; urgency=low

  * remove purchases view
  * new year
  * pass zesty pep8
  * update tests for zesty
  * add support for artful
  * fix server urls for reviews API - changes to the server are causing issues

 -- pgg (appgrid) <pgg@appgrid.org>  Fri, 23 Jun 2017 20:15:46 +0200 

appgrid (0.284) zesty; urgency=low

  * no need to duplicate font settings in widgets/home.py
  * scrap "engine: none;", triggers warning, not needed anymore
  * fix crash in startup on zesty caused by gtk css changes
    rephrase font css so it works in xenial, yakkety and zesty
  * bump standards version to 3.9.8
  * add support for zesty
  * fix broken filtering in search results

 -- pgg (appgrid) <pgg@appgrid.org>  Mon, 06 Feb 2017 12:28:30 +0100 

appgrid (0.278) xenial; urgency=low

  * always use the system install of python3 (LP: #1609747)

 -- pgg (appgrid) <pgg@appgrid.org>  Mon, 08 Aug 2016 13:04:09 +0200 

appgrid (0.277) xenial; urgency=low

  * put disclaimer in scrolledwindow to make tos dialog usable with larger
    font sizes (LP: #1536779)
  * fix (FileNotFoundError) helpers.py and get_response_from_sm
    this occurs when Downloads dir has been deleted
    error: 5fb9d6d0c587a7d01e981385c5304f0706635985
    error: 55e62dd9bac974b43fb039794592ab97c86c92b4
  * don't fail to install when in captive portal
    error: ca2258cffc163591c3b2446de6c46da06eea7263
  * upgrade apt urls to their multiarch equivs for things like steam
    error: 50304934e98edd0043ca91d8f5f9886ef5fce578
    error: 743e2117623438c5009f4b2794ee294070cc6a48
    error: 5424ecbb481ce38e54ebf2b53a50feb1fd36f5dd

 -- pgg (appgrid) <pgg@appgrid.org>  Wed, 03 Aug 2016 11:23:44 +0200 

appgrid (0.272) xenial; urgency=low

  * remove transitional code from widgets/tos.py
  * update pot file
  * add support for yakkety
  * retire support for trusty (xenial is a newer LTS)
  * retire support for vivid, wily (EOL)
  * use gi.require_version to stop warnings on xenial
  * update tests for xenial
  * reimport translations (80% or more translated)
    - new languages: Czech, French, Galician, Croatian, Korean,
      Norwegian Bokmal, Portuguese (much thanks to all translators!)
  * bump standards version
  * don't ship pycache dirs (makes deb file smaller again too :) )
  * get screenshots from debian.net as screenshots.ubuntu.com is broken
  * implement support for 2fa for Ubuntu SSO
  * more accurate error messages for Ubuntu SSO in general
  * update copyright years
  * screenshots server has stopped returning 404, so catch fake 404's instead
  * grabbing list of screenshots on details was blocking, make async
  * remove dep on app-install-data-partner as no longer contains desktop files
  * override inconsistent screenshot urls too

 -- pgg (appgrid) <pgg@appgrid.org>  Tue, 02 Aug 2016 10:19:44 +0200 

appgrid (0.257) wily; urgency=low

  * add support for xenial
  * for some reason appgrid segfaults in Gdk.pixbuf_get_from_window() in
    xenial - avoid this
  * don't react to the same click twice in the details view
  * fix (AttributeError) signout
    error: fda8465d9031a13b343463209f15f8ed79cbf395
  * fix (GLib.Error) draw_icon
    the 'unknown' icon isn't available in a number of icon themes, hence
    avoid using it
    error: c2ded98c07fbfec065b3065c51060b63327ecc1f

 -- pgg (appgrid) <pgg@appgrid.org>  Thu, 26 Nov 2015 13:27:49 +0100 

appgrid (0.252) wily; urgency=low

  * "All the doors in this spaceship have a cheerful
     and sunny disposition. It is their pleasure
     to open for you [...] with the knowledge
     of a job well done." -- Douglas Adams

 -- pgg (appgrid) <pgg@appgrid.org>  Wed, 26 Aug 2015 17:13:35 +0200 

appgrid (0.251) wily; urgency=low

  * fix (Dependency is not satisfiable) do_commit
    don't crash when simulate triggers a transaction-failed
    error: 1a57aebec668268ebe250abb85c8d468fff06565
  * fix (ValueError) get_screenshots
    don't crash on empty json file
    error: 653fb78c66004809e987388b8d4909afe979755f
  * deal with changes in filename added by add-apt-repository
  * fix (TypeError) on_launch
    check if desktop file has exec before trying to launch
    should solve ?the majority? of:
    error: 5ab745b13e2fbb488f452a147adb1768300b8f6f
  * generate tmp db with a random path such that if multiple instances of
    rebuild-db are being run they don't interfere with each other and cause
    the db be be corrupt
    should solve a fair amount of:

